From ae8d0e6326794d98c5f0db6ff11ba61f4602d264 Mon Sep 17 00:00:00 2001
From: Jim Meyering <meyering@fb.com>
Date: Sat, 4 Jan 2020 22:52:20 -0800
Subject: [PATCH] update-copyright: reenable its always-skipped test

* tests/test-update-copyright.sh: Restore the "-pi" options removed
on 2019-06-15. Without those, an internal preliminary test would
fail, causing this test always to be skipped.
---
 ChangeLog                      | 5 +++++
 tests/test-update-copyright.sh | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

diff --git a/ChangeLog b/ChangeLog
index 730f53727..7c8b90ed2 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,10 @@
 2020-01-04  Jim Meyering  <meyering@fb.com>

+	update-copyright: reenable its always-skipped test
+	* tests/test-update-copyright.sh: Restore the "-pi" options removed
+	on 2019-06-15. Without those, an internal preliminary test would
+	fail, causing this test always to be skipped.
+
 	stdlib: avoid canonicalize_file_name contradiction
 	* lib/stdlib.in.h (canonicalize_file_name): Remove the nonnull
 	attribute from its declaration. tests/test-canonicalize-lgpl.c
diff --git a/tests/test-update-copyright.sh b/tests/test-update-copyright.sh
index b59f83599..adba7799f 100755
--- a/tests/test-update-copyright.sh
+++ b/tests/test-update-copyright.sh
@@ -51,7 +51,7 @@ cat <<\EOF > $s
 # the script through the perl program found in $PATH.  The '-x' option
 # is essential as well; without it, perl would re-execute the script
 # through /bin/sh.  When executed by  perl, the next two lines are a no-op.
-eval 'exec perl -wSx "$0" "$@"'
+eval 'exec perl -wSx -pi "$0" "$@"'
      if 0;

 s/a/b/
-- 
2.24.0.390.g083378cc35

